ghc-7.0.3: The GHC API

ByteCodeItbls

# Documentation

type ItblEnv = NameEnv (Name, ItblPtr)

newtype ItblPtr

Constructors

ItblPtr (Ptr ()) |

Instances

Show ItblPtr |

itblCode :: ItblPtr -> Ptr ()

mkITbls :: [TyCon] -> IO ItblEnv

data StgInfoTable

Constructors

StgInfoTable |

Fields

ptrs :: HalfWord
nptrs :: HalfWord
tipe :: HalfWord
srtlen :: HalfWord
code :: [ItblCode]

Instances

Storable StgInfoTable |